[ARVADOS] updated: c3074f48c15ae7d1f4bc30939959c7243708cb37

git at public.curoverse.com git at public.curoverse.com
Mon Mar 16 11:23:10 EDT 2015


Summary of changes:
 sdk/cli/bin/crunch-job | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

       via  c3074f48c15ae7d1f4bc30939959c7243708cb37 (commit)
       via  1321195ae33f9aafc5b9c328b9352b6b5277de37 (commit)
      from  b306eb48ab12676ffb365ede8197e4f2d7e92011 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit c3074f48c15ae7d1f4bc30939959c7243708cb37
Author: Peter Amstutz <peter.amstutz at curoverse.com>
Date:   Mon Mar 16 11:26:49 2015 -0400

    5448: Fix cid file cleanup.

diff --git a/sdk/cli/bin/crunch-job b/sdk/cli/bin/crunch-job
index 0b34bb9..92fe886 100755
--- a/sdk/cli/bin/crunch-job
+++ b/sdk/cli/bin/crunch-job
@@ -670,6 +670,11 @@ for (my $todo_ptr = 0; $todo_ptr <= $#jobstep_todo; $todo_ptr ++)
   my $childslotname = join (".",
 			    $slot[$childslot]->{node}->{name},
 			    $slot[$childslot]->{cpu});
+
+  if ($docker_hash) {
+      $Jobstep->{cidfile} = "$ENV{CRUNCH_TMP}/$Jobstep->{arvados_task}->{uuid}-$Jobstep->{failures}.cid";
+  }
+
   my $childpid = fork();
   if ($childpid == 0)
   {
@@ -721,7 +726,6 @@ for (my $todo_ptr = 0; $todo_ptr <= $#jobstep_todo; $todo_ptr ++)
     $command .= "&& exec arv-mount --by-id --allow-other $ENV{TASK_KEEPMOUNT} --exec ";
     if ($docker_hash)
     {
-      $Jobstep->{cidfile} = "$ENV{CRUNCH_TMP}/$ENV{TASK_UUID}-$Jobstep->{failures}.cid";
       $command .= "crunchstat -cgroup-root=/sys/fs/cgroup -cgroup-parent=docker -cgroup-cid=$Jobstep->{cidfile} -poll=10000 ";
       $command .= "$docker_bin run --rm=true --attach=stdout --attach=stderr --attach=stdin -i --user=crunch --cidfile=$Jobstep->{cidfile} --sig-proxy ";
 

commit 1321195ae33f9aafc5b9c328b9352b6b5277de37
Author: Peter Amstutz <peter.amstutz at curoverse.com>
Date:   Mon Mar 16 10:47:49 2015 -0400

    5448: Add --all to "docker images" because it turns out it doesn't list all the installed images by default!

diff --git a/sdk/cli/bin/crunch-job b/sdk/cli/bin/crunch-job
index b3ce782..0b34bb9 100755
--- a/sdk/cli/bin/crunch-job
+++ b/sdk/cli/bin/crunch-job
@@ -384,7 +384,7 @@ if ($docker_locator = $Job->{docker_image_locator}) {
   }
   $docker_stream =~ s/^\.//;
   my $docker_install_script = qq{
-if ! $docker_bin images -q --no-trunc | grep -qxF \Q$docker_hash\E; then
+if ! $docker_bin images -q --no-trunc --all | grep -qxF \Q$docker_hash\E; then
     arv-get \Q$docker_locator$docker_stream/$docker_hash.tar\E | $docker_bin load
 fi
 };

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list